<?php
/*
********************************************************************************************
CONFIGURATION
********************************************************************************************
*/
// destinataire est votre adresse mail. Pour envoyer à plusieurs à la fois, séparez-les par une virgule
$destinataire = 'info@seerus.com';
 
// copie ? (envoie une copie au visiteur)
$copie = 'non';
 
// Action du formulaire (si votre page a des paramètres dans l'URL)
// si cette page est index.php?page=contact alors mettez index.php?page=contact
// sinon, laissez vide
$form_action = '';
 
// Messages de confirmation du mail
$message_envoye = "Votre message nous est bien parvenu !";
$message_non_envoye = "L'envoi du mail a &eacute;chou&eacute;, veuillez r&eacute;essayer SVP.";
 
// Message d'erreur du formulaire
$message_formulaire_invalide = "Vérifiez que tous les champs soient bien remplis et que l'email soit sans erreur.";
 
/*
********************************************************************************************
FIN DE LA CONFIGURATION
********************************************************************************************
*/
 
/*
* cette fonction sert à nettoyer et enregistrer un texte
*/
function Rec($text)
{
$text = htmlspecialchars(trim($text), ENT_QUOTES);
if (1 === get_magic_quotes_gpc())
{
$text = stripslashes($text);
}
 
$text = nl2br($text);
return $text;
};
 
/*
* Cette fonction sert à vérifier la syntaxe d'un email
*/
function IsEmail($email)
{
$value = preg_match('/^(?:[\w\!\#\$\%\&\'\*\+\-\/\=\?\^\`\{\|\}\~]+\.)*[\w\!\#\$\%\&\'\*\+\-\/\=\?\^\`\{\|\}\~]+@(?:(?:(?:[a-zA-Z0-9_](?:[a-zA-Z0-9_\-](?!\.)){0,61}[a-zA-Z0-9_-]?\.)+[a-zA-Z0-9_](?:[a-zA-Z0-9_\-](?!$)){0,61}[a-zA-Z0-9_]?)|(?:\[(?:(?:[01]?\d{1,2}|2[0-4]\d|25[0-5])\.){3}(?:[01]?\d{1,2}|2[0-4]\d|25[0-5])\]))$/', $email);
return (($value === 0) || ($value === false)) ? false : true;
}
 
// formulaire envoyé, on récupère tous les champs.
$nom = (isset($_POST['name'])) ? Rec($_POST['name']) : '';
$email = (isset($_POST['mail'])) ? Rec($_POST['mail']) : '';
$objet = (isset($_POST['subject'])) ? Rec($_POST['subject']) : '';
$message = (isset($_POST['message'])) ? Rec($_POST['message']) : '';
$soft = (isset($_POST['soft'])) ? Rec($_POST['soft']) : '';
$softAutre = (isset($_POST['soft-autre'])) ? Rec($_POST['soft-autre']) : '';
$nomAgence = (isset($_POST['agence'])) ? Rec($_POST['agence']) : '';

 
// On va vérifier les variables et l'email ...
$email = (IsEmail($email)) ? $email : ''; // soit l'email est vide si erroné, soit il vaut l'email entré
$err_formulaire = false; // sert pour remplir le formulaire en cas d'erreur si besoin
 
if (isset($_POST['send']))
{
if (($nom != '') && ($email != '') && ($objet != '') && ($message != ''))
{
// les 4 variables sont remplies, on génère puis envoie le mail
$headers = 'From:'.$nom.' <'.$email.'>' . "\r\n";
//$headers .= 'Reply-To: '.$email. "\r\n" ;
//$headers .= 'X-Mailer:PHP/'.phpversion();
 
// envoyer une copie au visiteur ?
if ($copie == 'oui')
{
$cible = $destinataire.','.$email;
}
else
{
$cible = $destinataire;
};

$msgToSend = 'Message de '.$nom."\r\r";
$msgToSend = $msgToSend.'Adresse Email : '.$email."\r\r";
$msgToSend = $msgToSend.'Agence : '.$nomAgence."\r\r";
$msgToSend = $msgToSend.'Software : '.$soft."\r\r";

if ($soft == 'autre'){
	$msgToSend = $msgToSend.'autre soft :'.$softAutre."\r\r";
}

$msgToSend = $msgToSend.$message;


if (isset($_POST['newsletter']) and $_POST['newsletter'] = 1)
{
	$msgToSend = $msgToSend."\r\rL'utilisatauer souhaitre recevoir nos news par mail";
}


 
// Remplacement de certains caractères spéciaux
$msgToSend = str_replace("&#039;","'",$msgToSend);
$msgToSend = str_replace("&#8217;","'",$msgToSend);
$msgToSend = str_replace("&quot;",'"',$msgToSend);
$msgToSend = str_replace('&lt;br&gt;','',$msgToSend);
$msgToSend = str_replace('&lt;br /&gt;','',$msgToSend);
$msgToSend = str_replace("&lt;","&lt;",$msgToSend);
$msgToSend = str_replace("&gt;","&gt;",$msgToSend);
$msgToSend = str_replace("&amp;","&",$msgToSend);
 
// Envoi du mail
if (mail($cible, $objet, $msgToSend, $headers))
{
	$notification = '<div class="notification success"><p>Merci, votre message est envoyé</p></div>';
}
else
{
	$notification = '<div class="notification error" "><p>Erreur, votre message n&rsquo;a pas été envoyé !</p></div>'; 
};
}
else
{
	$notification = '<div class="notification error" ><p>Erreur, veuillez remplir tous les champs.</p></div>';
$err_formulaire = true;
};
}; // fin du if (!isset($_POST['envoi']))
 
if (($err_formulaire) || (!isset($_POST['envoi'])))
{
	include ('./home.html');
};
?>